1. Integrations
ViewBot.dev
  • Channels
    • List all channels
      GET
    • Create a new channel
      POST
    • Get channel by ID
      GET
    • Update channel
      PUT
    • Delete channel
      DELETE
  • Messages
    • Send text message
      POST
    • Send file message
      POST
    • Send template message
      POST
    • Get messages
      GET
  • Conversations
    • Get conversations
      GET
  • ViewBot
    • Initialize ViewBot session
      POST
    • Get ViewBot customization
      GET
    • Save ViewBot customization
      POST
  • Media
    • Upload file
    • Transcribe audio message
  • Webhooks
    • Webhook endpoint
  • Workflows
    • List all workflows
    • Create a new workflow
    • Get workflow by ID
    • Update workflow
    • Delete workflow
    • Get workflow steps
    • Add step to workflow
    • Replace all workflow steps
    • Get specific step
    • Update specific step
    • Delete specific step
    • Execute workflow
    • Get workflow executions
    • List chatbot flows
    • Create chatbot flow
  • AI
    • List AI assistants
    • Create AI assistant
    • Get AI assistant
    • Update AI assistant
    • Delete AI assistant
    • List assistant knowledge files
    • Upload knowledge file
    • Get AI suggested response
    • List available AI models
    • Get AI usage analytics
  • Templates
    • List message templates
    • Create message template
    • Get template
    • Update template
    • Delete template
  • Tokens
    • List API tokens
    • Create API token
    • Revoke API token
  • Organization
    • List organization members
    • List pending invitations
    • Invite member
    • List roles
    • Create role
    • Get user settings
    • Update user settings
  • Analytics
    • Get dashboard statistics
    • Analyze conversations
    • Get conversation insights
  • Integrations
    • Get Airtable settings
      GET
    • Save Airtable settings
      POST
    • List Airtable bases
      GET
    • List Airtable tables
      GET
    • Get Airtable records
      GET
    • Create Airtable record
      POST
    • Get Google Sheets settings
      GET
    • Save Google Sheets settings
      POST
    • List spreadsheets
      GET
    • Get spreadsheet records
      GET
    • Append spreadsheet record
      POST
    • Get Monday.com settings
      GET
    • Save Monday.com settings
      POST
    • List Monday boards
      GET
  • Schemas
    • Schemas
    • Response
      • BadRequest
      • Unauthorized
      • NotFound
    • Channel
    • CreateChannelRequest
    • UpdateChannelRequest
    • SendMessageRequest
    • SendFileRequest
    • SendTemplateRequest
    • ViewBotCustomization
    • Workflow
    • WorkflowTrigger
    • WorkflowStep
    • WorkflowAction
    • ConditionGroup
    • WorkflowCondition
    • CreateWorkflowRequest
    • UpdateWorkflowRequest
    • RunWorkflowRequest
    • WorkflowExecutionResult
    • ApiToken
    • CreateTokenRequest
    • CreateAIAssistantRequest
  1. Integrations

List spreadsheets

GET
/integrations/google-sheets/spreadsheets

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or

Responses

🟢200
List of spreadsheets
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/integrations/google-sheets/spreadsheets' \
--header 'Authorization: Bearer <token>'
Modified at 2025-12-13 02:50:35
Previous
Save Google Sheets settings
Next
Get spreadsheet records
Built with